Bug 43040 - univention-app dev-set
univention-app dev-set
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-4-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks: 42086 42801
  Show dependency treegraph
 
Reported: 2016-11-23 10:12 CET by Dirk Wiesenthal
Modified: 2016-12-07 13:48 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-11-23 10:12:19 CET
QA: Please verify
  univention-app dev-set
from univention-appcenter-dev.

univention-app dev-set jenkins name="My Jenkins" RequiredUCSVersion=
univention-app dev-set jenkins de:readme="This should write the <strong>German README</strong> file."
univention-app dev-set jenkins VendorSupported=1 --meta

This is not only the fundament of the Provider Portal/Apps, it is actually useful when testing App installations.

+++ This bug was initially created as a clone of Bug #42801 +++

On the backend side, we need a corresponding saving method which will update the App INI file, its images and README files.

JavaScript will send to the server process a JSON dict containing all fields that have been changed by the user. All images (SVG logos and PNG/JPEG screenshots) are base64 encoded.
Comment 1 Felix Botner univentionstaff 2016-12-01 12:21:17 CET
FAIL - i cant find the bug number in the debian/changelog?

OK - dev-set
OK - YAML
OK - merged to 4.2-0
Comment 2 Dirk Wiesenthal univentionstaff 2016-12-01 13:23:09 CET
Yes, sorry, I filed everything under Bug #42801. I opened this bug here a few days ago to specifically deal with univention-appcenter.

Shall I change the changelog?
Comment 3 Felix Botner univentionstaff 2016-12-01 13:41:30 CET
(In reply to Dirk Wiesenthal from comment #2)
> Yes, sorry, I filed everything under Bug #42801. I opened this bug here a
> few days ago to specifically deal with univention-appcenter.
> 
> Shall I change the changelog?

no its ok, please change to resolved
Comment 4 Janek Walkenhorst univentionstaff 2016-12-07 13:48:06 CET
<http://errata.software-univention.de/ucs/4.1/351.html>